@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI89 AND COPIES IT TO THE TI89
REM DIRECTORY
REM $Id: build89.bat,v 1.14 2004/08/06 13:47:50 DEBROUX Lionel Exp $
REM ===========================================================================
REM ===========================================================================

if "%1" == "" goto :help

@echo --------------------------------------------
@echo building TICHESS - %1 TI89 version ...
@echo --------------------------------------------
REM Using -ftracer is TERRIBLE size-wise !
REM Removing BSS (-mno-bss) makes the uncompressed size jump up as well, but -freg-relative-an improves everything.
REM -fverbose-asm is somewhat buggy in TIGCC 0.96 Beta 3 (like in some previous GCC 4.0 prereleases, F-Line ROM_CALLs are actually output as jbsr _ROM_CALL_nnn). Kevin says that switch was never supported ?!
REM -save-temps is now the only way to get the ASM code, but it's no longer mixed with the C code...
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 logo.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 generic.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 bg_ti89.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 input.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 interrupt.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 board.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 loadsave.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 infoboards.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 menu.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 gui.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -O2 -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 engine.c
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 clocks.c
REM dir *.o
tigcc -DUSE_TI89 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 tichess.c logo.o generic.o bg_ti89.o interrupt.o input.o menu.o gui.o engine.o clocks.o board.o loadsave.o infoboards.o -o ticstart -pack tichess
ttsetname -quiet -folder tict -name tichess tichess.89y
copy tichess.89y ..\bin89\%1\tichess.89y
del ticstart.??z
call buildlnc.bat
ttsetname -quiet -folder tict -name ticstart ticstart_small.89z
ttsetname -quiet -folder tict -name ticstart ticstart_fast.89z
copy ticstart*.89z ..\bin89\%1
del ticstart_fast.*
del ticstart_small.*
del *.89y
del *.o

goto :end
:help
echo ***********************************************************
echo * ERROR: NO LANGUAGE SPECIFIED ....
echo ***********************************************************
echo - [USAGE] build89.bat language
echo -
echo - language = english, german, french, spanish
echo -
:end

@echo on
