@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI92P VERSION AND COPIES IT TO
REM THE TI92P DIRECTORY
REM $Id: build92p.bat,v 1.13 2004/08/06 13:47:58 DEBROUX Lionel Exp $
REM ===========================================================================
REM ===========================================================================

if "%1" == "" goto :help

@echo --------------------------------------------
@echo building TICHESS - %1 TI92P/V200 version ...
@echo --------------------------------------------
REM Using -ftracer is TERRIBLE size-wise !
REM Removing BSS (-mno-bss) makes the uncompressed size jump up as well, but -freg-relative-an improves everything.
REM -fverbose-asm is somewhat buggy in TIGCC 0.96 Beta 3 (like in some previous GCC 4.0 prereleases, F-Line ROM_CALLs are actually output as jbsr _ROM_CALL_nnn). Kevin says that switch was never supported ?!
REM -save-temps is now the only way to get the ASM code, but it's no longer mixed with the C code...
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 logo.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 generic.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 bg_ti92.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 input.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 interrupt.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 board.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 loadsave.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 infoboards.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 menu.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 gui.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -O2 -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 engine.c
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -c -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 clocks.c
REM dir *.o
tigcc -DUSE_TI92P -DUSE_V200 -DMLINK_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fno-function-cse -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,--all-relocs -Wall -W -Wwrite-strings -save-temps -mno-bss -freg-relative-a5 tichess.c logo.o generic.o bg_ti92.o interrupt.o input.o menu.o gui.o engine.o clocks.o board.o loadsave.o infoboards.o -o ticstart -pack tichess
ttsetname -quiet -folder tict -name tichess tichess.9xy
ttsetname -quiet -folder tict -name tichess tichess.v2y
copy tichess.9xy ..\bin92p\%1\tichess.9xy
copy tichess.v2y ..\bin92p\%1\tichess.v2y
del ticstart.??z
call buildlnc.bat
ttsetname -quiet -folder tict -name ticstart ticstart_small.9xz
ttsetname -quiet -folder tict -name ticstart ticstart_small.v2z
ttsetname -quiet -folder tict -name ticstart ticstart_fast.9xz
ttsetname -quiet -folder tict -name ticstart ticstart_fast.v2z
copy ticstart*.9xz ..\bin92p\%1
copy ticstart*.v2z ..\bin92p\%1
del ticstart_fast.*
del ticstart_small.*
del *.9xy
del *.v2y
del *.o

goto :end
:help
echo ***********************************************************
echo * ERROR: NO LANGUAGE SPECIFIED ....
echo ***********************************************************
echo - [USAGE] build92p.bat language
echo -
echo - language = english, german, french, spanish
echo -
:end

@echo on
