/******************************************************************************
*
* project name:    TI-Chess
* file name:       msg_english.h
* initial date:    28/02/2002
* author:          thomas.nussbaumer@gmx.net
* description:     english messages
*
* $Id: msg_english.h,v 1.9 2004/08/06 13:56:43 DEBROUX Lionel Exp $
*
******************************************************************************/

#ifndef MSG_ENGLISH_H
#define MSG_ENGLISH_H

//-----------------------------------------------------------------------------
// strings and constants for main menu (file: menu.c)
//-----------------------------------------------------------------------------
#define MAIN_MENU_TI89  "New  Load/Save  Train  Options  Help About Exit"
#define MAIN_MENU_TI92P " New       Load/Save        Train        Options        Help        About        Exit"

//-----------------------------------------------------------------------------
// The following number pairs are used for highlighting the entries of the main
// menu. Make sure to adapt them correctly (file: menu.c)
//-----------------------------------------------------------------------------
#define MAIN_MENU_COORDS_TI89   0,15, 19,55,  59,77,  81,105, 109,124, 126,145, 147,159
#define MAIN_MENU_COORDS_TI92P  2,17, 31,67, 83,101, 117,141, 157,172, 188,207, 223,236

//-----------------------------------------------------------------------------
// strings and constants for load/save menu (file: menu.c)
//-----------------------------------------------------------------------------
#define LS_MENU_LOAD         "LOAD ticsave0"
#define LS_MENU_LOAD_IDX     12               // index of 0 in above string
#define LS_MENU_SAVE         "SAVE ticsave1"
#define LS_MENU_SAVE_IDX     12               // index of 1 in above string
#define LS_MENU_EXPORT       "EXPORT Game"
#define LS_MENU_DIALOGWIDTH  52               // width of load/save menu

//-----------------------------------------------------------------------------
// strings and constants for option menu (file: menu.c)
//-----------------------------------------------------------------------------
#define OPTION_MENU_STRENGTH "Strength"
#define OPTION_MENU_AUTOLOAD "AutoLoad"
#define OPTION_MENU_AUTOSAVE "AutoSave"
#define OPTION_MENU_HASING   "Hashing"
#define OPTION_MENU_REQUESTS "Requests"
#define OPTION_MENU_SAVEMVS  "Save Mvs"
#define OPTION_MENU_PIECESET "PieceSet"
#define OPTION_MENU_USEBOOK  "Use Books"
#define OPTION_MENU_ON       "ON"
#define OPTION_MENU_OFF      "OFF"

#define OPTION_MENU_TEXTSTART2   37
#define OPTION_MENU_DIALOGWIDTH  52

//-----------------------------------------------------------------------------
// help page definition for both calculator types (file: menu.c)
//-----------------------------------------------------------------------------
#define HELP_PAGE_TI89  "[STO]",     "Load/Save Game",\
                        "[CATALOG]", "Change Sides",\
                        "[(][)]",    "Level Down/Up",\
                        "[0]",       "Automatic Play",\
                        "[BACK]",    "Take Back a Move",\
                        "[CLEAR]",   "Undo Take Back",\
                        "[HOME]",    "Rotate Board",\
                        "[2]",       "2-Player Mode",\
                        "[ENTER]",   "==[2ND]==[Y]",\
                        "[ESC]",     "==[N] or Main Menu",\
                        "[.]",       "Show Moves so Far",\
                        "[x]",       "Show Opening Moves",\
                        "[F5]",      "Boss Key (EXIT)",\
                        0

#define HELP_PAGE_TI92P "[STO]",       "Load/Save Game",\
                        "[C]",         "Change Sides",\
                        "[(][)]",      "Level Down/Up",\
                        "[A]",         "Toggle Automatic Play",\
                        "[BACK][B]",   "Take Back a Move",\
                        "[F]",         "Undo Take Back",\
                        "[R]",         "Rotate Board",\
                        "[2]",         "Toggle 2-Player Mode",\
                        "[F1]",        "==[ENTER]==[Y]",\
                        "[ESC]",       "==[N] or Main Menu",\
                        "[S]",         "Show Moves so Far",\
                        "[O]",         "Show Opening Moves",\
                        "[F5]",        "Boss Key (EXIT)",\
                        0

//-----------------------------------------------------------------------------
// additionally help string displayed on TI-92p calculators (on main screen)
// (file: bg_ti92.c)
//-----------------------------------------------------------------------------
#define ADDITIONAL_HELP    "[Press H for Help, ESC for Menu]"
#define ADDITIONAL_HELP_X  125
#define ADDITIONAL_HELP_Y  120

//-----------------------------------------------------------------------------
// letters used for figures (don't replace the '.')
// (file: engine.c)
//-----------------------------------------------------------------------------
#define FIGURE_SYMBOLS 'K','Q','N','B','R','P','.','P','R','B','N','Q','K'

//-----------------------------------------------------------------------------
// translations for move list (file: menu.c)
//-----------------------------------------------------------------------------
#define MOVELIST_NOMOVES    "No moves stored. Sorry."
#define MOVELIST_CONTINUE   "--- Continue with Listing ? ---"
#define MOVELIST_ENDOFLIST  "--- End Of List ---"

//-----------------------------------------------------------------------------
// translations for training menu (file: menu.c)
//-----------------------------------------------------------------------------
#define TRAIN_MENU_NOPUZZLES   "No TICPUZ-File found."
#define TRAIN_MENU_TURNWHITE   "Turn: WHITE"
#define TRAIN_MENU_TURNBLACK   "Turn: BLACK"

//-----------------------------------------------------------------------------
// translations for infoboards (file: infoboards.c)
//-----------------------------------------------------------------------------
#define INFOBOARD_PLAYER "Player:"
#define INFOBOARD_HUMAN  "Human"
#define INFOBOARD_LAST   "Last:"
#define INFOBOARD_BEST   "Best:"
#define INFOBOARD_NODES  "Nodes:"
#define INFOBOARD_BOOK   "Book: %d/%d"


//-----------------------------------------------------------------------------
// translations for misc. messages
//-----------------------------------------------------------------------------
#define MSG_DRAWREPEAT1      "Draw due to"
#define MSG_DRAWREPEAT2      "Repetition!"
#define MSG_DRAW50PLY1       "Draw due to"
#define MSG_DRAW50PLY2       "50 Ply Rule!"
#define MSG_CHECKMATEIWIN1   "Checkmate!"
#define MSG_CHECKMATEIWIN2   "I win!"
#define MSG_CHECKMATEYOUWIN1 "Checkmate!"
#define MSG_CHECKMATEYOUWIN2 "You win!"
#define MSG_YOUWILLLOSE1     "You will lose"
#define MSG_YOUWILLLOSE2     "in %d mvs"
#define MSG_IWILLLOSE1       "I will lose"
#define MSG_IWILLLOSE2       "in %d mvs"
#define MSG_STALEMATE1       "Draw due to"
#define MSG_STALEMATE2       "Stalemate!"
#define MSG_CHECK            "CHECK !!!"
#define MSG_ABORT            "Abort (Y/N)?"
#define MSG_STARTAUTOMATIC   "Start Automatic (Y/N)?"
#define MSG_CHANGESIDES      "Change Sides (Y/N)?"
#define MSG_ONEPLAYER        "ONE Player (Y/N)?"
#define MSG_TWOPLAYER        "TWO player (Y/N)?"
#define MSG_PROMOTETO        "Promote to:"
#define PROMOTE_CORRECTX     0


//-----------------------------------------------------------------------------
// translations for string used in exported textfile (file: loadsave.c)
//-----------------------------------------------------------------------------
#define EXPORTED_GAME       "Game"


//-----------------------------------------------------------------------------
// about menu translations (file: menu.c)
//-----------------------------------------------------------------------------
#define ABOUT_STR1  "A TI-Chess Team Production"
#define ABOUT_STR2  "Programming and Artwork By"
#define ABOUT_STR3  "Thomas Nussbaumer"
#define ABOUT_STR4  "(thomas.nussbaumer@gmx.net)"
#define ABOUT_STR5  "And"
#define ABOUT_STR6  "Marcos Lopez"
#define ABOUT_STR7  "(marcos.lopez@gmx.net)"

#define MSG_INVALIDMOVE     "!! Invalid Move !!"
#define MSG_INVALIDBOOKMOVE "!! Invalid Book Entry !!"

#endif

//#############################################################################
//###################### NO MORE FAKES BEYOND THIS LINE #######################
//#############################################################################
//
//=============================================================================
// Revision History
//=============================================================================
//
// $Log: msg_english.h,v $
// Revision 1.9  2004/08/06 13:56:43  DEBROUX Lionel
// generic commit
//
// Revision 1.8  2002/10/28 09:11:25  tnussb
// unnecessary comments removed
//
// Revision 1.7  2002/10/17 09:56:41  tnussb
// generic commit for v3.97
//
// Revision 1.6  2002/10/16 18:28:51  tnussb
// changes related to the complete new puzzle file support (see history.txt)
//
// Revision 1.5  2002/10/14 12:09:18  tnussb
// help text extended by "opening moves" key
//
// Revision 1.4  2002/10/08 17:44:29  tnussb
// changes related to v3.90/v3.91
//
// Revision 1.3  2002/09/13 14:49:37  tnussb
// "loose" replaced with "lose"
//
// Revision 1.2  2002/08/01 12:46:39  tnussb
// generic commit (I don't know anymore what I have changed ..)
//
// Revision 1.1  2002/03/01 17:28:41  tnussb
// initial check-in
//
//
